Name:           csfml
Version:        2.0.0
Release:        1%{?dist}
Summary:        Simple and Fast Multimedia Library - Official C bindings

License:        Public Domain
URL:            http://www.sfml-dev.org/
Source0:        http://www.sfml-dev.org/download/csfml/CSFML-2.0-sources.zip
Patch0:         csfml-2.0.0-fix-cmake-scripts.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libXrandr-devel
BuildRequires:  openal-devel
BuildRequires:  sfml-devel

Requires:       sfml <= 2.0.0

%description
SFML is a portable and easy to use multimedia API written in C++. You can see
it as a modern, object-oriented alternative to SDL.
SFML is composed of several packages to perfectly suit your needs. You can use
SFML as a minimal windowing system to interface with OpenGL, or as a
fully-featured multimedia library for building games or interactive programs.

%package        devel
Summary:        Development files for CSFML
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use CSFML.

%prep
%setup -q -n CSFML-2.0
%patch0 -p1
# fixup non needed executable permission on regular files
chmod -x readme.txt license.txt
# fixup some files line endings
sed -i.bak 's/\r//' license.txt readme.txt

%build
%cmake -DBUILD_DOC=1 -DCMAKE_MODULE_PATH="%{_libdir}/cmake/SFML ${CMAKE_MODULE_PATH}" .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# remove duplicated doc
rm -r %{buildroot}/usr/share/CSFML

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc readme.txt license.txt
%{_libdir}/*.so.*

%files devel
%doc doc/html/*
%{_includedir}/SFML
%{_libdir}/*.so

%changelog
* Tue Aug 6 2013 Jonathan De Wachter <sonkun@fedoraproject.org> - 2.0.0-1
- Initial RPM release
